---
%set dmode = %%getVar('ninegate_db_mode','non')
%if %%dmode == "externe"
dbhost: %%ninegate_dbserver
dbport: %%ninegate_dbport
dbroot: %%ninegate_dbuser
dbrootpwd: %%ninegate_dbpass
%else if %%dmode == "local"
dbhost: 127.0.0.1
%end if
dbtype: mysql
dbname: ninegate
dbuser: ninegate
dbpass: "changeme"
%set allow_hosts = %%getVar('ninegate_allow_hosts', '')
%if %%dmode == "local" 
client_hosts: ["127.0.0.1", "localhost" %slurp
%else if %%dmode == "externe"
client_hosts: ["%%adresse_ip_eth0" %slurp
%end if
%if %%dmode != "default"
    %if %%is_empty(%%allow_hosts)
]
    %else
        %for %%hst in %%allow_hosts
,"%%hst" %slurp
        %end for
]
    %end if
%end if

createscript: "/usr/share/eole/db/ninegate/gen/ninegate-create-0.sql"

%set cnt_prefix = %%getVar('container_path_reseau', '')
pwd_files:
    - {file: '%%cnt_prefix/var/www/html/ninegate/.env.local',
       pattern: 'DATABASE_PASSWORD=',
       owner: 'root:www-data',
       mod: '660' }   
